aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/system/.local/bin/torwrap
diff options
context:
space:
mode:
authorCraig Jennings <c@cjennings.net>2026-01-24 18:52:34 -0600
committerCraig Jennings <c@cjennings.net>2026-01-24 18:52:34 -0600
commitf01e96d000a195a59a7f25cb133caa72a486007e (patch)
treee68693939b738f06e16b02c736090d8fb8adf182 /dotfiles/system/.local/bin/torwrap
downloadarchsetup-f01e96d000a195a59a7f25cb133caa72a486007e.tar.gz
archsetup-f01e96d000a195a59a7f25cb133caa72a486007e.zip
fix(testing): remove obsolete --skip-slow-packages option
This flag was removed from archsetup but remained in test scripts.
Diffstat (limited to 'dotfiles/system/.local/bin/torwrap')
-rwxr-xr-xdotfiles/system/.local/bin/torwrap7
1 files changed, 7 insertions, 0 deletions
diff --git a/dotfiles/system/.local/bin/torwrap b/dotfiles/system/.local/bin/torwrap
new file mode 100755
index 0000000..8b20ad4
--- /dev/null
+++ b/dotfiles/system/.local/bin/torwrap
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+ifinstalled tremc transmission-cli || exit
+
+! pidof transmission-daemon >/dev/null && transmission-daemon && notify-send "Starting torrent daemon..."
+
+$TERMINAL -e tremc; pkill -RTMIN+7 "${STATUSBAR:-dwmblocks}"